[Haskell-cafe] broken on install encoding 0.6.6

Gang Yu yugang.bj at gmail.com
Wed Aug 17 10:59:05 CEST 2011

hi, cafe:

    I go through to the encoding package installation problem again.

 cabal install encoding
Resolving dependencies...
/tmp/encoding-0.6.68093/encoding-0.6.6/dist/setup/setup: 4: Syntax error:
";" unexpected

when I have a check on the this issue, I get:

file ~/.cabal/packages/
hackage.haskell.org/encoding/0.6.6/encoding-0.6.6/dist/setup/setup: ELF
64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses
shared libs), for GNU/Linux 2.6.27, not stripped

My machine is:

gang at gang-laptop:~$ uname -a
Linux gang-laptop 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC
2011 i686 i686 i386 GNU/Linux

is this related? How can I manually install the package from scratch? Any
helps or directs will be appreciated

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/haskell-cafe/attachments/20110817/bb1b29ab/attachment.htm>

More information about the Haskell-Cafe mailing list